Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging::PolicyValueSeq_var Class Reference

`#include <Messaging_PolicyValueC.h>`

List of all members.

## Public Methods
| PolicyValueSeq_var (void)
| PolicyValueSeq_var (PolicyValueSeq *)
| PolicyValueSeq_var (const PolicyValueSeq_var &)
| ~PolicyValueSeq_var (void)
PolicyValueSeq_var & | operator= (PolicyValueSeq *)
PolicyValueSeq_var & | operator= (const PolicyValueSeq_var &)
PolicyValueSeq * | operator-> (void)
const PolicyValueSeq * | operator-> (void) const
| operator const PolicyValueSeq & () const
| operator PolicyValueSeq & ()
| operator PolicyValueSeq & () const
| operator PolicyValueSeq *& ()
PolicyValue & | operator[] (CORBA::ULong index)
const PolicyValue & | operator[] (CORBA::ULong index) const
const PolicyValueSeq & | in (void) const
PolicyValueSeq & | inout (void)
PolicyValueSeq *& | out (void)
PolicyValueSeq * | _retn (void)
PolicyValueSeq * | ptr (void) const
## Private Attributes
PolicyValueSeq * | ptr_

## Constructor & Destructor Documentation

Messaging::PolicyValueSeq_var::PolicyValueSeq_var | ( | void |  | ) |

Messaging::PolicyValueSeq_var::PolicyValueSeq_var | ( | PolicyValueSeq * |  | ) |

Messaging::PolicyValueSeq_var::PolicyValueSeq_var | ( | const PolicyValueSeq_var & |  | ) |

Messaging::PolicyValueSeq_var::~PolicyValueSeq_var | ( | void |  | ) |

## Member Function Documentation

PolicyValueSeq* Messaging::PolicyValueSeq_var::_retn | ( | void |  | ) |

const PolicyValueSeq& Messaging::PolicyValueSeq_var::in | ( | void |  | ) | const

PolicyValueSeq& Messaging::PolicyValueSeq_var::inout | ( | void |  | ) |

Messaging::PolicyValueSeq_var::operator const PolicyValueSeq & | ( |  | ) | const

Messaging::PolicyValueSeq_var::operator PolicyValueSeq & | ( |  | ) | const

Messaging::PolicyValueSeq_var::operator PolicyValueSeq & | ( |  | ) |

Messaging::PolicyValueSeq_var::operator PolicyValueSeq *& | ( |  | ) |

const PolicyValueSeq* Messaging::PolicyValueSeq_var::operator-> | ( | void |  | ) | const

PolicyValueSeq* Messaging::PolicyValueSeq_var::operator-> | ( | void |  | ) |

PolicyValueSeq_var& Messaging::PolicyValueSeq_var::operator= | ( | const PolicyValueSeq_var & |  | ) |

PolicyValueSeq_var& Messaging::PolicyValueSeq_var::operator= | ( | PolicyValueSeq * |  | ) |

const PolicyValue& Messaging::PolicyValueSeq_var::operator[] | ( | CORBA::ULong | index | ) | const

PolicyValue& Messaging::PolicyValueSeq_var::operator[] | ( | CORBA::ULong | index | ) |

PolicyValueSeq*& Messaging::PolicyValueSeq_var::out | ( | void |  | ) |

PolicyValueSeq* Messaging::PolicyValueSeq_var::ptr | ( | void |  | ) | const

## Member Data Documentation

PolicyValueSeq* Messaging::PolicyValueSeq_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- Messaging_PolicyValueC.h